import greenfoot.*;

public class Spieler extends Actor
{
    int punkte;
    int leben;
    GreenfootSound schnellWegSound;

    public Spieler(){
        punkte = 0;
        leben = 300;
        schnellWegSound = new GreenfootSound("schnellweg.mp3");
    }

    public void act() {
        move();
        treffen();
        anzeigen();
        if(leben <= 0)
            Greenfoot.stop();
    }    

    private void treffen()
    {
        if(isTouching(Wildschwein.class)) {
            Wildschwein t = (Wildschwein) getOneIntersectingObject(Wildschwein.class);
            t.lautMachen();
            getWorld().removeObject(t);
            punkte++;
        }
        if(isTouching(Vogel.class)) {
            Vogel t = (Vogel) getOneIntersectingObject(Vogel.class);
            t.lautMachen();
            getWorld().removeObject(t);
            punkte++;
        }
        if(isTouching(Tierschuetzer.class)) {
            if(!schnellWegSound.isPlaying())
                schnellWegSound.play();
            leben--;
        }
    }

    public void move() {
        if(Greenfoot.isKeyDown("up"))
            setLocation(getX(), getY() - 2);
        if(Greenfoot.isKeyDown("right"))
            setLocation(getX() + 2, getY());
        if(Greenfoot.isKeyDown("down"))
            setLocation(getX(), getY() + 2);
        if(Greenfoot.isKeyDown("left"))
            setLocation(getX() - 2, getY());
    }

    private void anzeigen() {
        getWorld().showText("Punktestand: " + punkte , 110, 11);
        getWorld().showText("Leben: " + leben , 350, 11);
    }
}